Bug 183197 - "close item history" not empty
Summary: "close item history" not empty
Status: RESOLVED FIXED
Alias: None
Product: sweeper
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-04 17:33 UTC by Paolo M.
Modified: 2011-06-27 13:39 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.5


Attachments
patch to fix the bug and clear the closed items history (786 bytes, patch)
2011-05-24 19:14 UTC, Burkhard Lück
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo M. 2009-02-04 17:33:40 UTC
Version:            (using KDE 4.2.0)
OS:                Linux
Installed from:    Ubuntu Packages

in sweeper I click on “Select all”, then I click on “Clean up”, then I run konqueror and “closed item history” is not empty!

many thanks.
Comment 1 FiNeX 2009-08-17 14:48:31 UTC
It works on current trunk. Someone could confirm it too?
Comment 2 Serge 2009-08-18 12:12:11 UTC
It´s still the same..
Comment 3 Paolo M. 2010-02-14 15:36:59 UTC
There is the same bug in kde sc 4.4.0, sweeper 1.4, ubuntu packages.
Comment 4 Paolo M. 2010-12-24 22:46:54 UTC
In sweeper 1.5 (kde 4.5.4) there is the same bug. Use konqueror and close some tabs but don't close konqueror. Now run sweeper and clear all. Now in konqueror  "closed items history" is not empty. ("go" menu, then "closed items")
Comment 5 Burkhard Lück 2011-05-24 19:14:25 UTC
Created attachment 60280 [details]
patch to fix the bug and clear the closed items history
Comment 6 Burkhard Lück 2011-06-11 16:28:42 UTC
SVN commit 1236146 by lueck:

fix to clear 'Closed Items History'
REVIEW:6708
CCBUG:183197

 M  +7 -0      privacyfunctions.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1236146
Comment 7 Burkhard Lück 2011-06-11 16:30:47 UTC
SVN commit 1236147 by lueck:

fix to clear 'Closed Items History'
REVIEW:6708
BUG:183197
FIXED-IN:4.6.5

 M  +7 -0      privacyfunctions.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1236147